[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.Paint

Draws the tool bar on the Canvas for the control.

## Declaration

Source position: comctrls.pp line 2348

`protected procedure TToolBar.Paint; override;`

## Description

Paint is an overridden procedure used to display the tool bar. At design-time, a Red rectangle is drawn as a frame for the control. Paint calls the inherited Paint method to draw the inner and outer borders defined for the control. Paint signals the OnPaint event handler (when assigned) to perform drawing operations required for the tool bar.

## See also

TCustomControl.Paint |  | Implements the default handler used to draw the control.